Bug 24309 - libreoffice new security issue CVE-2018-16858
Summary: libreoffice new security issue CVE-2018-16858
Status: REOPENED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard: MGA6-32-OK
Keywords: NEEDINFO, PATCH
: 24384 (view as bug list)
Depends on: 24988 24989
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-03 22:20 CET by David Walser
Modified: 2019-06-22 07:48 CEST (History)
16 users (show)

See Also:
Source RPM: libreoffice-5.3.7.2-3.mga6.src.rpm
CVE:
Status comment:


Attachments
LO logs on mga6: (8.83 KB, text/plain)
2019-02-23 18:11 CET, Thierry Vignaud
Details
rely on /etc/urpmi/prefer.vendor.list (467 bytes, patch)
2019-05-29 11:59 CEST, Thierry Vignaud
Details | Diff
Fixed patch to make rpmdrake use /etc/urpmi/prefer.vendor.list (1011 bytes, text/plain)
2019-06-14 19:40 CEST, Martin Whitaker
Details

Description David Walser 2019-02-03 22:20:03 CET
Upstream has issued an advisory on February 1:
https://www.libreoffice.org/about-us/security/advisories/cve-2018-16858/

Debian has issued an advisory for this on February 2:
https://www.debian.org/security/2019/dsa-4381

The issue is fixed upstream in 6.0.7 and we should be able to use Debian's patch.
Comment 1 Marja Van Waes 2019-02-05 13:29:04 CET
Assigning to the registered maintainer.

Assignee: bugsquad => thierry.vignaud
CC: (none) => marja11

Comment 2 David Walser 2019-02-19 00:52:15 CET
*** Bug 24384 has been marked as a duplicate of this bug. ***

CC: (none) => mageia

Comment 3 David Walser 2019-02-19 00:55:13 CET
It would be good if we could add to the references some release notes or something to tell more about the changes between 5.3.x and 6.1.x.

Advisory:
========================

Updated libreoffice packages fix security vulnerability:

Alex Infuehr discovered a directory traversal vulnerability which could result
in the execution of Python script code when opening a malformed document
(CVE-2018-16858).

The libreoffice package has been updated to version 6.1.5.2, fixing this issue,
and including several other bug fixes and enhancements.  Several supporting
library packages have been updated as well.

References:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16858
https://www.libreoffice.org/about-us/security/advisories/cve-2018-16858/
https://www.debian.org/security/2019/dsa-4381

Assignee: thierry.vignaud => qa-bugs

Comment 4 David Walser 2019-02-19 00:56:03 CET
Source RPMs:
libabw-0.1.2-1.mga6.src.rpm
libcdr-0.1.5-1.mga6.src.rpm
libcmis-0.5.2-1.mga6.src.rpm
libe-book-0.1.3-1.mga6.src.rpm
libetonyek-0.1.9-1.mga6.src.rpm
libfreehand-0.1.2-2.mga6.src.rpm
libmspub-0.1.4-1.mga6.src.rpm
libmwaw-0.3.14-2.mga6.src.rpm
libodfgen-0.1.7-1.mga6.src.rpm
libpagemaker-0.0.4-1.mga6.src.rpm
libstaroffice-0.0.6-1.mga6.src.rpm
libvisio-0.1.6-1.mga6.src.rpm
libwpg-0.3.3-1.mga6.src.rpm
libwps-0.4.10-1.mga6.src.rpm
libzmf-0.0.2-1.mga6.src.rpm
cppunit-1.14.0-1.mga6.src.rpm
libepubgen-0.1.1-2.mga6.src.rpm
libixion-0.14.1-1.mga6.src.rpm
libnumbertext-1.0.5-1.mga6.src.rpm
liborcus-0.14.1-1.mga6.src.rpm
libqxp-0.0.2-1.mga6.src.rpm
mdds-1.4.3-1.mga6.src.rpm
libreoffice-6.1.5.2-1.1.mga6.src.rpm

I hope that's all of them :o)
Comment 5 Thierry Vignaud 2019-02-19 14:44:42 CET
Here you're:

Advisory:
========================

Updated libreoffice packages fix security vulnerability:

Alex Infuehr discovered a directory traversal vulnerability which could result
in the execution of Python script code when opening a malformed document
(CVE-2018-16858).

The libreoffice package has been updated to version 6.1.5.2, fixing this issue,
and including several other bug fixes and enhancements.  Several supporting
library packages have been updated as well.

Here's the list of improvements from 5.3 to 6.1:
https://wiki.documentfoundation.org/ReleaseNotes/5.4
https://wiki.documentfoundation.org/ReleaseNotes/6.0
https://wiki.documentfoundation.org/ReleaseNotes/6.1

References:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16858
https://www.libreoffice.org/about-us/security/advisories/cve-2018-16858/
https://www.debian.org/security/2019/dsa-4381

Source RPMs:
libabw-0.1.2-1.mga6.src.rpm
libcdr-0.1.5-1.mga6.src.rpm
libcmis-0.5.2-1.mga6.src.rpm
libe-book-0.1.3-1.mga6.src.rpm
libetonyek-0.1.9-1.mga6.src.rpm
libfreehand-0.1.2-2.mga6.src.rpm
libmspub-0.1.4-1.mga6.src.rpm
libmwaw-0.3.14-2.mga6.src.rpm
libodfgen-0.1.7-1.mga6.src.rpm
libpagemaker-0.0.4-1.mga6.src.rpm
libstaroffice-0.0.6-1.mga6.src.rpm
libvisio-0.1.6-1.mga6.src.rpm
libwpg-0.3.3-1.mga6.src.rpm
libwps-0.4.10-1.mga6.src.rpm
libzmf-0.0.2-1.mga6.src.rpm
cppunit-1.14.0-1.mga6.src.rpm
libepubgen-0.1.1-2.mga6.src.rpm
libixion-0.14.1-1.mga6.src.rpm
libnumbertext-1.0.5-1.mga6.src.rpm
liborcus-0.14.1-1.mga6.src.rpm
libqxp-0.0.2-1.mga6.src.rpm
mdds-1.4.3-1.mga6.src.rpm
libreoffice-6.1.5.2-1.1.mga6.src.rpm

CC: (none) => thierry.vignaud

Comment 6 Brian Rockwell 2019-02-19 22:44:30 CET
MGA6_64

Installed the following - related dependencies, plus tried to pick up the conversion tools.

The following 86 packages are going to be installed:

- gamin-0.1.10-17.mga6.x86_64
- gstreamer1.0-neon-1.10.3-1.mga6.x86_64
- kde-l10n-en_GB-16.12.3-2.mga6.noarch
- kde-l10n-handbooks-en_GB-16.12.3-2.mga6.noarch
- kdelibs4-core-4.14.35-1.mga6.x86_64
- kdelibs4-handbooks-4.14.35-1.mga6.noarch
- lib64abw1-0.1.2-1.mga6.x86_64
- lib64boost_chrono1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_locale1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_program_options1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_thread1.60.0-1.60.0-6.1.mga6.x86_64
- lib64cppunit1.14_0-1.14.0-1.mga6.x86_64
- lib64dbusmenu-qt2-0.9.3-1.20160218.1.mga6.x86_64
- lib64e-book0.1_1-0.1.3-1.mga6.x86_64
- lib64epubgen0.1_1-0.1.1-2.mga6.x86_64
- lib64etonyek0.1_1-0.1.9-1.mga6.x86_64
- lib64fam0-0.1.10-17.mga6.x86_64
- lib64freehand1-0.1.2-2.mga6.x86_64
- lib64gpgmepp6-1.8.0-11.mga6.x86_64
- lib64ixion0.14_0-0.14.1-1.mga6.x86_64
- lib64kde4-attica0.4-0.4.2-3.mga6.x86_64
- lib64kdecore5-4.14.35-1.mga6.x86_64
- lib64kdeui5-4.14.35-1.mga6.x86_64
- lib64kemoticons4-4.14.35-1.mga6.x86_64
- lib64kfile4-4.14.35-1.mga6.x86_64
- lib64khtml5-4.14.35-1.mga6.x86_64
- lib64kio5-4.14.35-1.mga6.x86_64
- lib64kjs4-4.14.35-1.mga6.x86_64
- lib64kjsembed4-4.14.35-1.mga6.x86_64
- lib64kntlm4-4.14.35-1.mga6.x86_64
- lib64kparts4-4.14.35-1.mga6.x86_64
- lib64krosscore4-4.14.35-1.mga6.x86_64
- lib64ktexteditor4-4.14.35-1.mga6.x86_64
- lib64numbertext0-1.0.5-1.mga6.x86_64
- lib64odfgen0.1_1-0.1.7-1.mga6.x86_64
- lib64orcus0.14_0-0.14.1-1.mga6.x86_64
- lib64pagemaker0-0.0.4-1.mga6.x86_64
- lib64phonon4-4.10.0-1.mga6.x86_64
- lib64polkit-qt-core-1_1-0.112.0-7.mga6.x86_64
- lib64qtdbus4-4.8.7-15.mga6.x86_64
- lib64qtscript4-4.8.7-15.mga6.x86_64
- lib64qxp0.0_0-0.0.2-1.mga6.x86_64
- lib64solid4-4.14.35-1.mga6.x86_64
- lib64staroffice0.0_0-0.0.6-1.mga6.x86_64
- lib64visio0.1_1-0.1.6-1.mga6.x86_64
- lib64wpg0.3_3-0.3.3-1.mga6.x86_64
- lib64wps0.4_4-0.4.10-1.mga6.x86_64
- lib64xmlsec1-nss1-1.2.24-1.mga6.x86_64
- lib64zmf0.0_0-0.0.2-1.mga6.x86_64
- libabw-tools-0.1.2-1.mga6.x86_64
- libcdr-tools-0.1.5-1.mga6.x86_64
- libcmis-tools-0.5.2-1.mga6.x86_64
- libe-book-tools-0.1.3-1.mga6.x86_64
- libetonyek-tools-0.1.9-1.mga6.x86_64
- libfreehand-tools-0.1.2-2.mga6.x86_64
- libmspub-tools-0.1.4-1.mga6.x86_64
- libmwaw-tools-0.3.14-2.mga6.x86_64
- libreoffice-6.1.5.2-1.1.mga6.x86_64
- libreoffice-base-6.1.5.2-1.1.mga6.x86_64
- libreoffice-calc-6.1.5.2-1.1.mga6.x86_64
- libreoffice-core-6.1.5.2-1.1.mga6.x86_64
- libreoffice-data-6.1.5.2-1.1.mga6.noarch
- libreoffice-draw-6.1.5.2-1.1.mga6.x86_64
- libreoffice-emailmerge-6.1.5.2-1.1.mga6.x86_64
- libreoffice-filters-6.1.5.2-1.1.mga6.x86_64
- libreoffice-graphicfilter-6.1.5.2-1.1.mga6.x86_64
- libreoffice-gtk3-6.1.5.2-1.1.mga6.x86_64
- libreoffice-help-en-6.1.5.2-1.1.mga6.x86_64
- libreoffice-impress-6.1.5.2-1.1.mga6.x86_64
- libreoffice-kde4-6.1.5.2-1.1.mga6.x86_64
- libreoffice-langpack-en-6.1.5.2-1.1.mga6.x86_64
- libreoffice-math-6.1.5.2-1.1.mga6.x86_64
- libreoffice-opensymbol-fonts-6.1.5.2-1.1.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.1.mga6.x86_64
- libreoffice-pyuno-6.1.5.2-1.1.mga6.x86_64
- libreoffice-ure-6.1.5.2-1.1.mga6.x86_64
- libreoffice-ure-common-6.1.5.2-1.1.mga6.noarch
- libreoffice-writer-6.1.5.2-1.1.mga6.x86_64
- libreoffice-x11-6.1.5.2-1.1.mga6.x86_64
- libreoffice-xsltfilter-6.1.5.2-1.1.mga6.x86_64
- libreofficekit-6.1.5.2-1.1.mga6.x86_64
- mageia-kde4-config-common-5-0.20150505.7.mga6.noarch
- phonon-4.10.0-1.mga6.x86_64
- phonon-gstreamer-4.9.0-3.mga6.x86_64
- phonon-gstreamer-common-4.9.0-3.mga6.noarch
- shared-desktop-ontologies-0.11.0-5.mga6.noarch

73MB of additional disk space will be used.

129MB of packages will be retrieved.


Installed and then proceeded to use libreoffice.

- writer - able to read doc, password protect and regular office files without issue.
- calc - able to open files without issue
- impress - able to open pptx files and they look correct
- draw - works
- base - able to create table, add rows and view rows

Working as designed.

CC: (none) => brtians1

Comment 7 Brian Rockwell 2019-02-21 04:06:38 CET
$ uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 08:58:09 UTC 2019 i686 i686 i686 GNU/Linux


The following 67 packages are going to be installed:

- gamin-0.1.10-17.mga6.i586
- gstreamer1.0-neon-1.10.3-1.mga6.tainted.i586
- kde-l10n-en_GB-16.12.3-2.mga6.noarch
- kde-l10n-handbooks-en_GB-16.12.3-2.mga6.noarch
- kdelibs4-core-4.14.35-1.mga6.i586
- kdelibs4-handbooks-4.14.35-1.mga6.noarch
- libboost_chrono1.60.0-1.60.0-6.1.mga6.i586
- libboost_locale1.60.0-1.60.0-6.1.mga6.i586
- libboost_thread1.60.0-1.60.0-6.1.mga6.i586
- libdbusmenu-qt2-0.9.3-1.20160218.1.mga6.i586
- libepubgen0.1_1-0.1.1-2.mga6.i586
- libfam0-0.1.10-17.mga6.i586
- libgpgmepp6-1.8.0-11.mga6.i586
- libixion0.14_0-0.14.1-1.mga6.i586
- libkde4-attica0.4-0.4.2-3.mga6.i586
- libkdecore5-4.14.35-1.mga6.i586
- libkdeui5-4.14.35-1.mga6.i586
- libkemoticons4-4.14.35-1.mga6.i586
- libkfile4-4.14.35-1.mga6.i586
- libkhtml5-4.14.35-1.mga6.i586
- libkio5-4.14.35-1.mga6.i586
- libkjs4-4.14.35-1.mga6.i586
- libkjsembed4-4.14.35-1.mga6.i586
- libkntlm4-4.14.35-1.mga6.i586
- libkparts4-4.14.35-1.mga6.i586
- libkrosscore4-4.14.35-1.mga6.i586
- libktexteditor4-4.14.35-1.mga6.i586
- libnumbertext0-1.0.5-1.mga6.i586
- liborcus0.14_0-0.14.1-1.mga6.i586
- libphonon4-4.10.0-1.mga6.i586
- libpolkit-qt-core-1_1-0.112.0-7.mga6.i586
- libqtdbus4-4.8.7-15.mga6.i586
- libqtopengl4-4.8.7-15.mga6.i586
- libqtscript4-4.8.7-15.mga6.i586
- libqtxml4-4.8.7-15.mga6.i586
- libqxp0.0_0-0.0.2-1.mga6.i586
- libreoffice-6.1.5.2-1.1.mga6.i586
- libreoffice-base-6.1.5.2-1.1.mga6.i586
- libreoffice-calc-6.1.5.2-1.1.mga6.i586
- libreoffice-core-6.1.5.2-1.1.mga6.i586
- libreoffice-data-6.1.5.2-1.1.mga6.noarch
- libreoffice-draw-6.1.5.2-1.1.mga6.i586
- libreoffice-emailmerge-6.1.5.2-1.1.mga6.i586
- libreoffice-graphicfilter-6.1.5.2-1.1.mga6.i586
- libreoffice-gtk3-6.1.5.2-1.1.mga6.i586
- libreoffice-help-en-6.1.5.2-1.1.mga6.i586
- libreoffice-impress-6.1.5.2-1.1.mga6.i586
- libreoffice-kde4-6.1.5.2-1.1.mga6.i586
- libreoffice-langpack-en-6.1.5.2-1.1.mga6.i586
- libreoffice-math-6.1.5.2-1.1.mga6.i586
- libreoffice-opensymbol-fonts-6.1.5.2-1.1.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.1.mga6.i586
- libreoffice-pyuno-6.1.5.2-1.1.mga6.i586
- libreoffice-ure-6.1.5.2-1.1.mga6.i586
- libreoffice-ure-common-6.1.5.2-1.1.mga6.noarch
- libreoffice-writer-6.1.5.2-1.1.mga6.i586
- libreoffice-x11-6.1.5.2-1.1.mga6.i586
- libreoffice-xsltfilter-6.1.5.2-1.1.mga6.i586
- libsolid4-4.14.35-1.mga6.i586
- libxmlsec1-nss1-1.2.24-1.mga6.i586
- libxmlsec1_1-1.2.24-1.mga6.i586
- mageia-kde4-config-common-5-0.20150505.7.mga6.noarch
- media-player-info-22-0.git20130930.6.mga6.noarch
- phonon-4.10.0-1.mga6.i586
- phonon-gstreamer-4.9.0-3.mga6.i586
- phonon-gstreamer-common-4.9.0-3.mga6.noarch
- shared-desktop-ontologies-0.11.0-5.mga6.noarch

72MB of additional disk space will be used.

126MB of packages will be retrieved.


----

testing

-writer:  tested with odt, docx formats - working as designed
-impress: pptx
-calc:  ods
-draw:  working
-base:  working, able to create a table using the wizard
-math:  working


mga6-32 working as designed

Whiteboard: (none) => MGA6-32-OK

Comment 8 Thomas Andrews 2019-02-22 00:10:38 CET
To simulate the kind of update most of our users would see, I only selected the packages indicated in Comment 5, including dependencies that popped up:

The following 47 packages are going to be installed:

- lib64abw1-0.1.2-1.mga6.x86_64
- lib64boost_chrono1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_locale1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_thread1.60.0-1.60.0-6.1.mga6.x86_64
- lib64cdr0.1_1-0.1.5-1.mga6.x86_64
- lib64cmis0.5_5-0.5.2-1.mga6.x86_64
- lib64e-book0.1_1-0.1.3-1.mga6.x86_64
- lib64epubgen0.1_1-0.1.1-2.mga6.x86_64
- lib64etonyek0.1_1-0.1.9-1.mga6.x86_64
- lib64freehand1-0.1.2-2.mga6.x86_64
- lib64ixion0.14_0-0.14.1-1.mga6.x86_64
- lib64mspub0.1_1-0.1.4-1.mga6.x86_64
- lib64mwaw0.3_3-0.3.14-2.mga6.x86_64
- lib64numbertext0-1.0.5-1.mga6.x86_64
- lib64odfgen0.1_1-0.1.7-1.mga6.x86_64
- lib64orcus0.14_0-0.14.1-1.mga6.x86_64
- lib64pagemaker0-0.0.4-1.mga6.x86_64
- lib64qxp0.0_0-0.0.2-1.mga6.x86_64
- lib64staroffice0.0_0-0.0.6-1.mga6.x86_64
- lib64visio0.1_1-0.1.6-1.mga6.x86_64
- lib64wpd0.10_10-0.10.3-1.mga6.x86_64
- lib64wpg0.3_3-0.3.3-1.mga6.x86_64
- lib64wps0.4_4-0.4.10-1.mga6.x86_64
- lib64xmlsec1-nss1-1.2.24-1.mga6.x86_64
- lib64xmlsec1_1-1.2.24-1.mga6.x86_64
- lib64zmf0.0_0-0.0.2-1.mga6.x86_64
- libreoffice-base-6.1.5.2-1.1.mga6.x86_64
- libreoffice-calc-6.1.5.2-1.1.mga6.x86_64
- libreoffice-core-6.1.5.2-1.1.mga6.x86_64
- libreoffice-data-6.1.5.2-1.1.mga6.noarch
- libreoffice-draw-6.1.5.2-1.1.mga6.x86_64
- libreoffice-graphicfilter-6.1.5.2-1.1.mga6.x86_64
- libreoffice-gtk3-6.1.5.2-1.1.mga6.x86_64
- libreoffice-help-en-6.1.5.2-1.1.mga6.x86_64
- libreoffice-impress-6.1.5.2-1.1.mga6.x86_64
- libreoffice-kde4-6.1.5.2-1.1.mga6.x86_64
- libreoffice-kf5-6.1.5.2-1.1.mga6.x86_64
- libreoffice-langpack-en-6.1.5.2-1.1.mga6.x86_64
- libreoffice-math-6.1.5.2-1.1.mga6.x86_64
- libreoffice-opensymbol-fonts-6.1.5.2-1.1.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.1.mga6.x86_64
- libreoffice-pyuno-6.1.5.2-1.1.mga6.x86_64
- libreoffice-ure-6.1.5.2-1.1.mga6.x86_64
- libreoffice-ure-common-6.1.5.2-1.1.mga6.noarch
- libreoffice-writer-6.1.5.2-1.1.mga6.x86_64
- libreoffice-x11-6.1.5.2-1.1.mga6.x86_64
- libreoffice-xsltfilter-6.1.5.2-1.1.mga6.x86_64

19MB of additional disk space will be used.

114MB of packages will be retrieved.

Afterward, I checked the updates_testing list again, to make sure I didn't miss any, and I noticed that autocorr-en carried the same version number as libreoffice, and seemed like it belonged with it, even though it hadn't been listed and wasn't picked up as a dependency. So, I installed that, as well.

Afterward, I opened several old ods, odt, and doc files, and tried a few changes to them. Some did not display correctly until after I had installed the proper fonts, but that's to be expected. I don't care for auto-correct and never use it, so I don't really know how to test it - but it didn't seem to hurt anything. 

Giving this a 64-bit OK. I would validate, except that I don't know what needs to be done with the autocorr packages. Since David Walser wrote "I hope that's all of them" in Comment 4, I don't know if it was missed, or doesn't belong with this update at all.

CC: (none) => andrewsfarm

Thomas Andrews 2019-02-22 00:13:06 CET

Whiteboard: MGA6-32-OK => MGA6-32-OK MGA6-64-OK

Comment 9 Dave Hodgins 2019-02-22 00:43:07 CET
$ rpm -q -i autocorr-en|grep ^Source
Source RPM  : libreoffice-6.1.5.2-1.1.mga6.src.rpm

It was missed from the list of packages that should be included in testing.
Doesn't impact getting the update pushed later, as that's controlled by the
list of srpm packages in the advisory committed to svn.

The full list of rpm packages can be obtained for a given srpm name ...
$ urpmf --media "Core Updates Testing" --sourcerpm libreoffice-6.1.5.2-1.1.mga6|sort -u

The media hdlist files must be up-to-date. I use "urpmi.update e" to ensure
all repos media is updated, including those that are not enabled. This works
because all repositories have the letter e in their names, not because the
letter e by itself is an option.

The --media option can be left out if the testing repo is enabled.

The sort -u is added so updates that are available in both i586 and x86_64
repos don't show in the output twice.

CC: (none) => davidwhodgins

Comment 10 Dave Hodgins 2019-02-22 00:55:59 CET
Oops. The rpm package wasn't missing from the list. The list of rpm packages
itself was missing.
Dave Hodgins 2019-02-22 00:57:45 CET

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs

Comment 11 Thomas Andrews 2019-02-22 01:15:52 CET
(In reply to Dave Hodgins from comment #10)
> Oops. The rpm package wasn't missing from the list. The list of rpm packages
> itself was missing.

Yes. I had wanted to use the qarepo tool on this, but the missing rpm list made that very difficult.
Comment 12 Mageia Robot 2019-02-22 02:09:51 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGASA-2019-0102.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 13 Thomas Backlund 2019-02-22 17:18:13 CET
Seems this update was rushed out even if it has broken packaging pulling in kde stuff on non-kde/plasma installs

CC: (none) => tmb

Comment 14 Thomas Backlund 2019-02-22 23:41:06 CET
Update reverted to testing for now while the issues are sorted out

Whiteboard: MGA6-32-OK MGA6-64-OK => (none)
Status: RESOLVED => REOPENED
Keywords: advisory, validated_update => (none)
Resolution: FIXED => (none)

Thomas Backlund 2019-02-22 23:41:29 CET

Keywords: (none) => feedback

Comment 15 Nicolas Lécureuil 2019-02-23 00:11:50 CET
what is the issue exactly ? so i can test with more precision.
Comment 16 Thierry Vignaud 2019-02-23 18:11:07 CET
Created attachment 10780 [details]
LO logs on mga6:

I guess it's the fact that the kde4/kf5 plugins are preferred over x11

"In order to satisfy the 'libreoffice-plugin(x86-64)[== 1:6.1.5.2-1.1.mga6]' dependency, one of the following packages is needed:
 1- libreoffice-kde4-6.1.5.2-1.1.mga6.x86_64 : LibreOffice KDE4 integration plug-in (à installer)
 2- libreoffice-kf5-6.1.5.2-1.1.mga6.x86_64 : LibreOffice KDE Frameworks 5 integration plug-in (à installer)
 3- libreoffice-x11-6.1.5.2-1.1.mga6.x86_64 : LibreOffice generic X11 support plug-in (à installer)"

We could update /etc/urpmi/prefer.vendor.list
Comment 17 Nicolas Lécureuil 2019-02-23 18:14:39 CET
i never think of /etc/urpmi/prefer.vendor.list but i think this is the solution.
Comment 18 Thomas Backlund 2019-02-23 19:16:43 CET
So we change meta-task to the desktop agnostic libreoffice-x11, an tell plasma users to install the kf5 bit if they want it


I did this in:  meta-task-6-3.3.mga6 curently building


--- rpmsrate-raw	(revision 1369602)
+++ rpmsrate-raw	(arbetskopia)
@@ -140,7 +140,7 @@

-  #5 CAT_PLASMA5 libreoffice-kde4
+  5 CAT_PLASMA5 libreoffice-kf5


--- prefer.vendor.list	(revision 1369602)
+++ prefer.vendor.list	(arbetskopia)
@@ -158,3 +158,6 @@
 
 # mate menu layout
 matemenu-mageia-layout
+
+# prefer desktop agnostic libreoffice plugin
+libreoffice-x11


Lets see how that works out...
Comment 19 Thierry Vignaud 2019-02-23 19:24:33 CET
That should work.
Comment 20 Thomas Andrews 2019-02-23 19:36:14 CET
Would it be possible to get an rpm list, to make use of the qarepo tool more effective?
Comment 21 David Walser 2019-02-23 19:54:41 CET
http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/24309/application/0

plus meta-task-6-3.3.mga6.noarch.rpm
David Walser 2019-02-23 19:55:26 CET

Keywords: feedback => (none)

Comment 22 Thomas Andrews 2019-02-23 20:56:56 CET
(In reply to David Walser from comment #21)
> http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/24309/application/0
> 
> plus meta-task-6-3.3.mga6.noarch.rpm

Thank you.
Comment 23 Thomas Andrews 2019-02-23 21:57:31 CET
Looks like we're not there yet.

In vbox, a fully-updated MGA6 64-bit Plasma system:

Used information from the link in Comment 21, and the meta-task package, in the qarepo tool. All packages downloaded to the local repo with no incident. I knew I wasn't going to need all those language packs, but downloaded them anyway.

When I went to Mageia Update (through MCC), meta-task updated first, as expected. But, when it went after the other updates the same list of choices was presented, with libreoffice-kde4 at the top and checked as the preferred choice, just as before.

Just to be thorough, I backed out of the updates without choosing anything, closed Mageia Update, then went back after them again. Same list, same preferred choice indicated.
Comment 24 James Kerr 2019-02-24 17:21:59 CET
On a system with all graphical environments installed I repeated the tests described in comment 23, with the same results. 

I removed libreoffice-kde4 from the list of packages in qarepo. Then, when I installed updates, I was offered a choice of libreoffice-kf5 and libreoffice-x11, with the kf5 package selected. I left that and the update installed cleanly. In all of my tests libreoffice-x11 has also been installed.

It seems that libreoffice-kde4 should be removed from this update.


We need to test on systems that do not have plasma installed.

We should also check what happens on a plasma system which has the existing libreoffice-kde4 package already installed.

CC: (none) => jim

Comment 25 Brian Rockwell 2019-02-24 23:05:35 CET
Re-Post when this dependency is removed and I'll test on mate, Gnome and Xfce.  LIke before I'll post the list of object picked up and my testing results.


Sorry about okaying that bad package.  Hopefully not to many people impacted.

Brian
Comment 26 James Kerr 2019-02-25 15:43:13 CET
There is no point in anyone testing this update further until the dependency issues are resolved. I've added the feedback marker.

Keywords: (none) => feedback

Comment 27 David Walser 2019-02-27 00:48:10 CET
libreoffice-6.1.5.2-1.2.mga6 drops libreoffice-kde4.

Keywords: feedback => (none)

Comment 28 Thomas Andrews 2019-02-27 06:32:47 CET
Testing with the vbox Plasma install from Comment 23:

Since the list of SRPMs has not yet been updated, I used the qarepo tool with the same list as before, but with the "fuzzy version" function activated. On the first pass, qarepo stopped with the message that libreoffice-kde4 could not be found. This was expected. I removed it from the qarepo list, and made another pass, this time successful.

The meta-task package had already been updated on the last test, so was ignored this time. I was asked to make a choice between libreoffice-kf5 and libreoffice-x11, with kf5 indicated as preferred. I left it that way, and proceeded with the update.

The following 46 packages are going to be installed:

- autocorr-en-6.1.5.2-1.2.mga6.noarch
- lib64abw1-0.1.2-1.mga6.x86_64
- lib64boost_chrono1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_locale1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_thread1.60.0-1.60.0-6.1.mga6.x86_64
- lib64cdr0.1_1-0.1.5-1.mga6.x86_64
- lib64cmis0.5_5-0.5.2-1.mga6.x86_64
- lib64e-book0.1_1-0.1.3-1.mga6.x86_64
- lib64epubgen0.1_1-0.1.1-2.mga6.x86_64
- lib64etonyek0.1_1-0.1.9-1.mga6.x86_64
- lib64freehand1-0.1.2-2.mga6.x86_64
- lib64ixion0.14_0-0.14.1-1.mga6.x86_64
- lib64mspub0.1_1-0.1.4-1.mga6.x86_64
- lib64mwaw0.3_3-0.3.14-2.mga6.x86_64
- lib64numbertext0-1.0.5-1.mga6.x86_64
- lib64odfgen0.1_1-0.1.7-1.mga6.x86_64
- lib64orcus0.14_0-0.14.1-1.mga6.x86_64
- lib64pagemaker0-0.0.4-1.mga6.x86_64
- lib64qxp0.0_0-0.0.2-1.mga6.x86_64
- lib64staroffice0.0_0-0.0.6-1.mga6.x86_64
- lib64visio0.1_1-0.1.6-1.mga6.x86_64
- lib64wpg0.3_3-0.3.3-1.mga6.x86_64
- lib64wps0.4_4-0.4.10-1.mga6.x86_64
- lib64xmlsec1-nss1-1.2.24-1.mga6.x86_64
- lib64xmlsec1_1-1.2.24-1.mga6.x86_64
- lib64zmf0.0_0-0.0.2-1.mga6.x86_64
- libreoffice-base-6.1.5.2-1.2.mga6.x86_64
- libreoffice-calc-6.1.5.2-1.2.mga6.x86_64
- libreoffice-core-6.1.5.2-1.2.mga6.x86_64
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.x86_64
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.x86_64
- libreoffice-gtk3-6.1.5.2-1.2.mga6.x86_64
- libreoffice-help-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-impress-6.1.5.2-1.2.mga6.x86_64
- libreoffice-kf5-6.1.5.2-1.2.mga6.x86_64
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-math-6.1.5.2-1.2.mga6.x86_64
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.x86_64
- libreoffice-pyuno-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-writer-6.1.5.2-1.2.mga6.x86_64
- libreoffice-x11-6.1.5.2-1.2.mga6.x86_64
- libreoffice-xsltfilter-6.1.5.2-1.2.mga6.x86_64

Packages installed cleanly. When finished, I loaded and read two odt and two ods files. Outside of formatting problems because the original font wasn't installed in vbox, the documents were displayed correctly.

Looks OK in a 64-bit vbox Plasma system.
Comment 29 Thomas Andrews 2019-02-27 15:51:22 CET
Looks like further testing will have to wait until the list of SRPMs is formally revised. At the moment, the list of i586 packages at 
http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/24309/application/0 
is incomplete. There are no "libreoffice" packages listed.
Comment 30 David Walser 2019-02-27 16:15:53 CET
You already have the list.  Comment 4 plus Comment 21, with the updated libreoffice in Comment 27.
Comment 31 Thierry Vignaud 2019-02-27 16:51:14 CET
Here's the updated list:

Advisory:
========================

Updated libreoffice packages fix security vulnerability:

Alex Infuehr discovered a directory traversal vulnerability which could result
in the execution of Python script code when opening a malformed document
(CVE-2018-16858).

The libreoffice package has been updated to version 6.1.5.2, fixing this issue,
and including several other bug fixes and enhancements.  Several supporting
library packages have been updated as well.

Here's the list of improvements from 5.3 to 6.1:
https://wiki.documentfoundation.org/ReleaseNotes/5.4
https://wiki.documentfoundation.org/ReleaseNotes/6.0
https://wiki.documentfoundation.org/ReleaseNotes/6.1

References:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-16858
https://www.libreoffice.org/about-us/security/advisories/cve-2018-16858/
https://www.debian.org/security/2019/dsa-4381

Source RPMs:
============
libabw-0.1.2-1.mga6.src.rpm
libcdr-0.1.5-1.mga6.src.rpm
libcmis-0.5.2-1.mga6.src.rpm
libe-book-0.1.3-1.mga6.src.rpm
libetonyek-0.1.9-1.mga6.src.rpm
libfreehand-0.1.2-2.mga6.src.rpm
libmspub-0.1.4-1.mga6.src.rpm
libmwaw-0.3.14-2.mga6.src.rpm
libodfgen-0.1.7-1.mga6.src.rpm
libpagemaker-0.0.4-1.mga6.src.rpm
libstaroffice-0.0.6-1.mga6.src.rpm
libvisio-0.1.6-1.mga6.src.rpm
libwpg-0.3.3-1.mga6.src.rpm
libwps-0.4.10-1.mga6.src.rpm
libzmf-0.0.2-1.mga6.src.rpm
cppunit-1.14.0-1.mga6.src.rpm
libepubgen-0.1.1-2.mga6.src.rpm
libixion-0.14.1-1.mga6.src.rpm
libnumbertext-1.0.5-1.mga6.src.rpm
liborcus-0.14.1-1.mga6.src.rpm
libqxp-0.0.2-1.mga6.src.rpm
mdds-1.4.3-1.mga6.src.rpm
libreoffice-6.1.5.2-1.2.mga6.src.rpm
meta-task-6-3.3.mga6.src.rpm
Comment 32 Thomas Andrews 2019-02-27 16:58:16 CET
(In reply to David Walser from comment #30)
> You already have the list.  Comment 4 plus Comment 21, with the updated
> libreoffice in Comment 27.

Please go to http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/24309/application/0 and check the text list of i586 rpms for yourself. Not the SRPM list, the list of the rpms themselves. You will not see a single rpm on that list with "libreoffice" as part of the package name. No "autocorr" packages, either. It's as if the libreoffice SRPM didn't contain any i586 packages.

The x86_64 list is different. It does list packages with "libreoffice" in the names, as well as "auto-corr." That is the list I used in the Comment 28 test.

I just checked a vbox 32-bit install, and there are indeed libreoffice packages sitting in the updates_testing repo. I will try using a combination of the two rpm lists, along with the "fuzzy version" function of qarepo for the i586 test. Maybe it will work.

It shouldn't be this difficult, though. The i586 list at the above link should be complete, not something that testers have to cobble together. This way, I'm not sure at the moment that the results of an i586 test can be trusted.
Comment 33 Thomas Andrews 2019-02-27 17:02:19 CET
My comment 32 had a mid-air collision with Comment 31. I will give things a little while to update, and then look at the list of i586 rpms for this bug again.
Comment 34 Brian Rockwell 2019-02-27 20:23:35 CET
$ uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 09:29:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

>>Gnome Desktop<<


The following 67 packages are going to be installed:

- bsh-1.3.0-37.mga6.noarch
- kbookmarks-5.42.0-1.2.mga6.x86_64
- kjobwidgets-5.42.0-1.2.mga6.x86_64
- lib64abw1-0.1.2-1.mga6.x86_64
- lib64cdr0.1_1-0.1.5-1.mga6.x86_64
- lib64cmis0.5_5-0.5.2-1.mga6.x86_64
- lib64e-book0.1_1-0.1.3-1.mga6.x86_64
- lib64epubgen0.1_1-0.1.1-2.mga6.x86_64
- lib64etonyek0.1_1-0.1.9-1.mga6.x86_64
- lib64freehand1-0.1.2-2.mga6.x86_64
- lib64gpgmepp6-1.8.0-11.mga6.x86_64
- lib64ixion0.14_0-0.14.1-1.mga6.x86_64
- lib64kf5bookmarks5-5.42.0-1.2.mga6.x86_64
- lib64kf5jobwidgets5-5.42.0-1.2.mga6.x86_64
- lib64kf5kiocore5-5.42.0-1.mga6.x86_64
- lib64kf5kiofilewidgets5-5.42.0-1.mga6.x86_64
- lib64kf5kiowidgets5-5.42.0-1.mga6.x86_64
- lib64kf5solid5-5.42.0-1.mga6.x86_64
- lib64mspub0.1_1-0.1.4-1.mga6.x86_64
- lib64mwaw0.3_3-0.3.14-2.mga6.x86_64
- lib64numbertext0-1.0.5-1.mga6.x86_64
- lib64odfgen0.1_1-0.1.7-1.mga6.x86_64
- lib64orcus0.14_0-0.14.1-1.mga6.x86_64
- lib64pagemaker0-0.0.4-1.mga6.x86_64
- lib64qxp0.0_0-0.0.2-1.mga6.x86_64
- lib64staroffice0.0_0-0.0.6-1.mga6.x86_64
- lib64visio0.1_1-0.1.6-1.mga6.x86_64
- lib64wpg0.3_3-0.3.3-1.mga6.x86_64
- lib64wps0.4_4-0.4.10-1.mga6.x86_64
- lib64xmlsec1-nss1-1.2.24-1.mga6.x86_64
- lib64xmlsec1_1-1.2.24-1.mga6.x86_64
- lib64zmf0.0_0-0.0.2-1.mga6.x86_64
- libreoffice-6.1.5.2-1.2.mga6.x86_64
- libreoffice-base-6.1.5.2-1.2.mga6.x86_64
- libreoffice-bsh-6.1.5.2-1.2.mga6.x86_64
- libreoffice-calc-6.1.5.2-1.2.mga6.x86_64
- libreoffice-core-6.1.5.2-1.2.mga6.x86_64
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.x86_64
- libreoffice-emailmerge-6.1.5.2-1.2.mga6.x86_64
- libreoffice-filters-6.1.5.2-1.2.mga6.x86_64
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.x86_64
- libreoffice-gtk3-6.1.5.2-1.2.mga6.x86_64
- libreoffice-help-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-impress-6.1.5.2-1.2.mga6.x86_64
- libreoffice-kf5-6.1.5.2-1.2.mga6.x86_64
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-math-6.1.5.2-1.2.mga6.x86_64
- libreoffice-nlpsolver-6.1.5.2-1.2.mga6.x86_64
- libreoffice-officebean-6.1.5.2-1.2.mga6.x86_64
- libreoffice-officebean-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-ogltrans-6.1.5.2-1.2.mga6.x86_64
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.x86_64
- libreoffice-pyuno-6.1.5.2-1.2.mga6.x86_64
- libreoffice-rhino-6.1.5.2-1.2.mga6.x86_64
- libreoffice-sdk-6.1.5.2-1.2.mga6.x86_64
- libreoffice-sdk-doc-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-wiki-publisher-6.1.5.2-1.2.mga6.x86_64
- libreoffice-writer-6.1.5.2-1.2.mga6.x86_64
- libreoffice-x11-6.1.5.2-1.2.mga6.x86_64
- libreoffice-xsltfilter-6.1.5.2-1.2.mga6.x86_64
- libreofficekit-6.1.5.2-1.2.mga6.x86_64
- libreofficekit-devel-6.1.5.2-1.2.mga6.x86_64
- meta-task-6-3.3.mga6.noarch

350MB of additional disk space will be used.

141MB of packages will be retrieved.


-  rebooted the system


Libreoffice confirmed with 6.1.5.2

- Libreoffice Writer - opening properly, able to edit docx and odt files
- Calc - able to open password protected ods files, 
- Impress - able to open pptx files properly.
- Math - opens
- Base - able to create a new database and create a table using wizard

From my perspective working as designed on 64bit.

Also checked CPU usage of libreoffice.  Nothing unusual there.

Please someone else check this update as I probably missed something  :-(
Comment 35 Nicolas Lécureuil 2019-02-27 21:29:06 CET
was libreoffice-kf5 installed before this update  ?
Comment 36 Brian Rockwell 2019-02-27 22:11:21 CET
I don't know for certain.  How could I check?
Comment 37 Thomas Andrews 2019-02-27 22:15:04 CET
Brian, looks like you missed the autocorr package(s). I don't know what else. My guess is that the kf5 packages were drawn in when you chose libreoffice-kf5 and not libreoffice-x11. But I think that's OK as long as it works, as when confronted with the choice presented as it is, most users will choose the indicated default. So, we must make sure it works for them, even if something else would have been the better choice.
Comment 38 Thomas Andrews 2019-02-27 22:27:22 CET
It's been several hours and the rpm lists at http://madb.mageia.org/tools/listRpmsForQaBug/bugnum/24309/application/0 still haven't updated. This makes them worse than useless for using them with the qarepo tool. I'm tired of waiting, so I'm going to attempt the update in my 32-bit vbox Plasma system the old-fashioned way.

After activating the Updates_testing repos, I went to Mageia Update, where before anything else I was asked to choose between libreoffice-kf5 and libreoffice-x11, with the kf5 package indicated as preferred.(Meta task had already been installed on the last attempt.) I choose the kf5 package. After picking my way through the list, I came up with this:

The following 46 packages are going to be installed:

- autocorr-en-6.1.5.2-1.2.mga6.noarch
- libabw1-0.1.2-1.mga6.i586
- libboost_chrono1.60.0-1.60.0-6.1.mga6.i586
- libboost_locale1.60.0-1.60.0-6.1.mga6.i586
- libboost_thread1.60.0-1.60.0-6.1.mga6.i586
- libcdr0.1_1-0.1.5-1.mga6.i586
- libcmis0.5_5-0.5.2-1.mga6.i586
- libe-book0.1_1-0.1.3-1.mga6.i586
- libepubgen0.1_1-0.1.1-2.mga6.i586
- libfreehand1-0.1.2-2.mga6.i586
- libixion0.14_0-0.14.1-1.mga6.i586
- libmspub0.1_1-0.1.4-1.mga6.i586
- libmwaw0.3_3-0.3.14-2.mga6.i586
- libnumbertext0-1.0.5-1.mga6.i586
- libodfgen0.1_1-0.1.7-1.mga6.i586
- liborcus0.14_0-0.14.1-1.mga6.i586
- libpagemaker0-0.0.4-1.mga6.i586
- libqxp0.0_0-0.0.2-1.mga6.i586
- libreoffice-base-6.1.5.2-1.2.mga6.i586
- libreoffice-calc-6.1.5.2-1.2.mga6.i586
- libreoffice-core-6.1.5.2-1.2.mga6.i586
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.i586
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.i586
- libreoffice-gtk3-6.1.5.2-1.2.mga6.i586
- libreoffice-help-en-6.1.5.2-1.2.mga6.i586
- libreoffice-impress-6.1.5.2-1.2.mga6.i586
- libreoffice-kf5-6.1.5.2-1.2.mga6.i586
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.i586
- libreoffice-math-6.1.5.2-1.2.mga6.i586
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.i586
- libreoffice-pyuno-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-writer-6.1.5.2-1.2.mga6.i586
- libreoffice-x11-6.1.5.2-1.2.mga6.i586
- libreoffice-xsltfilter-6.1.5.2-1.2.mga6.i586
- libstaroffice0.0_0-0.0.6-1.mga6.i586
- libvisio0.1_1-0.1.6-1.mga6.i586
- libwpd0.10_10-0.10.3-1.mga6.i586
- libwpg0.3_3-0.3.3-1.mga6.i586
- libwps0.4_4-0.4.10-1.mga6.i586
- libxmlsec1-nss1-1.2.24-1.mga6.i586
- libxmlsec1_1-1.2.24-1.mga6.i586
- libzmf0.0_0-0.0.2-1.mga6.i586

18MB of additional disk space will be used.

113MB of packages will be retrieved.

Is it ok to continue?

The packages installed cleanly. Afterward, sample ods and odt files were readable, allowing for formatting discrepancies caused by missing fonts.

If I got all the packages, this one is OK for 32-bit Plasma in vbox.
Comment 39 Thomas Andrews 2019-02-28 00:29:14 CET
32-bit Xfce desktop, with no kf5 packages installed...

After getting the meta-task package, I was asked "The Choice." This time I went against indications and selected the x11 package. Then I worked my way down through the Updates_testing list, picking out packages that I thought appropriate as I went. When I selected the first "libreoffice" package, I had to confront "The Choice" once again, and once again I chose the x11 package.

The following 43 packages are going to be installed:

- autocorr-en-6.1.5.2-1.2.mga6.noarch
- libabw1-0.1.2-1.mga6.i586
- libboost_chrono1.60.0-1.60.0-6.1.mga6.i586
- libboost_locale1.60.0-1.60.0-6.1.mga6.i586
- libboost_thread1.60.0-1.60.0-6.1.mga6.i586
- libcdr0.1_1-0.1.5-1.mga6.i586
- libcmis0.5_5-0.5.2-1.mga6.i586
- libe-book0.1_1-0.1.3-1.mga6.i586
- libepubgen0.1_1-0.1.1-2.mga6.i586
- libetonyek0.1_1-0.1.9-1.mga6.i586
- libfreehand1-0.1.2-2.mga6.i586
- libgpgmepp6-1.8.0-11.mga6.i586
- libixion0.14_0-0.14.1-1.mga6.i586
- libmspub0.1_1-0.1.4-1.mga6.i586
- libmwaw0.3_3-0.3.14-2.mga6.i586
- libnumbertext0-1.0.5-1.mga6.i586
- libodfgen0.1_1-0.1.7-1.mga6.i586
- liborcus0.14_0-0.14.1-1.mga6.i586
- libqxp0.0_0-0.0.2-1.mga6.i586
- libreoffice-base-6.1.5.2-1.2.mga6.i586
- libreoffice-calc-6.1.5.2-1.2.mga6.i586
- libreoffice-core-6.1.5.2-1.2.mga6.i586
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.i586
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.i586
- libreoffice-gtk3-6.1.5.2-1.2.mga6.i586
- libreoffice-help-en-6.1.5.2-1.2.mga6.i586
- libreoffice-impress-6.1.5.2-1.2.mga6.i586
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.i586
- libreoffice-math-6.1.5.2-1.2.mga6.i586
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.i586
- libreoffice-pyuno-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-writer-6.1.5.2-1.2.mga6.i586
- libreoffice-x11-6.1.5.2-1.2.mga6.i586
- libstaroffice0.0_0-0.0.6-1.mga6.i586
- libvisio0.1_1-0.1.6-1.mga6.i586
- libwpd0.10_10-0.10.3-1.mga6.i586
- libwpg0.3_3-0.3.3-1.mga6.i586
- libwps0.4_4-0.4.10-1.mga6.i586
- libxmlsec1-nss1-1.2.24-1.mga6.i586

16MB of additional disk space will be used.

113MB of packages will be retrieved.

Packages installed cleanly. As you can see, no kf5/kde/QT/Plasma packages were retrieved.

When finished, I once again examined several odt and ods documents, with the same results as in my other tests. If I got everything, this is OK for 32-bit Xfce.
Comment 40 Brian Rockwell 2019-02-28 01:21:01 CET
Xfce - I tried to follow TJ's lead.


$ uname -a
Linux localhost 4.14.100-desktop-1.mga6 #1 SMP Fri Feb 15 09:29:46 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux



- attica-5.42.0-1.mga6.x86_64
- lib64attica5-5.42.0-1.mga6.x86_64
- lib64boost_chrono1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_locale1.60.0-1.60.0-6.1.mga6.x86_64
- lib64boost_thread1.60.0-1.60.0-6.1.mga6.x86_64
- lib64epubgen0.1_1-0.1.1-2.mga6.x86_64
- lib64gpgmepp6-1.8.0-11.mga6.x86_64
- lib64ixion0.14_0-0.14.1-1.mga6.x86_64
- lib64numbertext0-1.0.5-1.mga6.x86_64
- lib64orcus0.14_0-0.14.1-1.mga6.x86_64
- lib64qt5svg5-5.9.4-1.mga6.x86_64
- lib64qt5xml5-5.9.4-1.2.mga6.x86_64
- lib64qxp0.0_0-0.0.2-1.mga6.x86_64
- lib64xmlsec1-nss1-1.2.24-1.mga6.x86_64
- libreoffice-6.1.5.2-1.2.mga6.x86_64
- libreoffice-base-6.1.5.2-1.2.mga6.x86_64
- libreoffice-calc-6.1.5.2-1.2.mga6.x86_64
- libreoffice-core-6.1.5.2-1.2.mga6.x86_64
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.x86_64
- libreoffice-emailmerge-6.1.5.2-1.2.mga6.x86_64
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.x86_64
- libreoffice-gtk3-6.1.5.2-1.2.mga6.x86_64
- libreoffice-help-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-impress-6.1.5.2-1.2.mga6.x86_64
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-math-6.1.5.2-1.2.mga6.x86_64
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.x86_64
- libreoffice-pyuno-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-writer-6.1.5.2-1.2.mga6.x86_64
- libreoffice-x11-6.1.5.2-1.2.mga6.x86_64
- meta-task-6-3.3.mga6.noarch


I've tested Writer, Calc, Impress, and base.  They all seem to be working without kf5 items. Note I left attica and a few qt5 objects.

Looks okay to me.
Comment 41 James Kerr 2019-02-28 07:34:48 CET
FWIW madb is now showing the correct list of RPMs

On a system with only Gnome installed, I am asked to choose between libreoffice-kf5 and libreoffice-x11, with libreoffice-kf5 pre-selected

If I make the "correct" choice, libreoffice-x11, then 47 packages are immediately offered for update.

If I leave the pre-selected libreoffice-kf5 as the choice, then I am asked to choose between lib64kcodecs5 and lib64kfcodecs5. Choosing either of those results in about 90 packages being offered for update

The additional 40 or so additional packages would seem to be entirely redundant on a Gnome system.

It does not seem proper to offer to install libreoffice-kf5 in a Gnome system.
Comment 42 Nicolas Lécureuil 2019-02-28 09:35:39 CET
(In reply to James Kerr from comment #41)
> FWIW madb is now showing the correct list of RPMs
> 
> On a system with only Gnome installed, I am asked to choose between
> libreoffice-kf5 and libreoffice-x11, with libreoffice-kf5 pre-selected
> 
> If I make the "correct" choice, libreoffice-x11, then 47 packages are
> immediately offered for update.
> 
> If I leave the pre-selected libreoffice-kf5 as the choice, then I am asked
> to choose between lib64kcodecs5 and lib64kfcodecs5. Choosing either of those
> results in about 90 packages being offered for update
> 
> The additional 40 or so additional packages would seem to be entirely
> redundant on a Gnome system.
> 
> It does not seem proper to offer to install libreoffice-kf5 in a Gnome
> system.

was updates_testing  meta-task already installed ?
Comment 43 James Kerr 2019-02-28 10:24:38 CET
Yes

$ rpm -qa --last | grep meta-task
meta-task-6-3.3.mga6.noarch                   Mon 25 Feb 2019 10:36:28 GMT
Comment 44 Thomas Andrews 2019-02-28 16:52:25 CET
(In reply to James Kerr from comment #41)
> FWIW madb is now showing the correct list of RPMs
> 
OK, I will have to file this information away for future reference: If the SRPMs in a bug are changed, wait 24 hours before expecting the madb rpm list to be updated.

Sorry for expressing my impatience and frustration with the process. I'm usually more laid-back than that.

Using qarepo to update yet another 32-bit Plasma install, currently in the process of updating the local repo. Will report when I have some results.
Comment 45 Thomas Andrews 2019-02-28 17:28:39 CET
32-bit Plasma install on real hardware, HP Probook 6550b, Intel i3, 8GB RAM, Intel graphics, Intel wifi.

Meta-task was installed first, followed by "The Choice." I chose libreoffice-kf5, because it is the correct one for a Plasma system, and because it appeared to be recommended.

The following 46 packages are going to be installed:

- autocorr-en-6.1.5.2-1.2.mga6.noarch
- libabw1-0.1.2-1.mga6.i586
- libboost_chrono1.60.0-1.60.0-6.1.mga6.i586
- libboost_locale1.60.0-1.60.0-6.1.mga6.i586
- libboost_thread1.60.0-1.60.0-6.1.mga6.i586
- libcdr0.1_1-0.1.5-1.mga6.i586
- libcmis0.5_5-0.5.2-1.mga6.i586
- libe-book0.1_1-0.1.3-1.mga6.i586
- libepubgen0.1_1-0.1.1-2.mga6.i586
- libetonyek0.1_1-0.1.9-1.mga6.i586
- libfreehand1-0.1.2-2.mga6.i586
- libixion0.14_0-0.14.1-1.mga6.i586
- libmspub0.1_1-0.1.4-1.mga6.i586
- libmwaw0.3_3-0.3.14-2.mga6.i586
- libnumbertext0-1.0.5-1.mga6.i586
- libodfgen0.1_1-0.1.7-1.mga6.i586
- liborcus0.14_0-0.14.1-1.mga6.i586
- libpagemaker0-0.0.4-1.mga6.i586
- libqxp0.0_0-0.0.2-1.mga6.i586
- libreoffice-base-6.1.5.2-1.2.mga6.i586
- libreoffice-calc-6.1.5.2-1.2.mga6.i586
- libreoffice-core-6.1.5.2-1.2.mga6.i586
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.i586
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.i586
- libreoffice-gtk3-6.1.5.2-1.2.mga6.i586
- libreoffice-help-en-6.1.5.2-1.2.mga6.i586
- libreoffice-impress-6.1.5.2-1.2.mga6.i586
- libreoffice-kf5-6.1.5.2-1.2.mga6.i586
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.i586
- libreoffice-math-6.1.5.2-1.2.mga6.i586
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.i586
- libreoffice-pyuno-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-writer-6.1.5.2-1.2.mga6.i586
- libreoffice-x11-6.1.5.2-1.2.mga6.i586
- libreoffice-xsltfilter-6.1.5.2-1.2.mga6.i586
- libstaroffice0.0_0-0.0.6-1.mga6.i586
- libvisio0.1_1-0.1.6-1.mga6.i586
- libwpg0.3_3-0.3.3-1.mga6.i586
- libwps0.4_4-0.4.10-1.mga6.i586
- libxmlsec1-nss1-1.2.24-1.mga6.i586
- libxmlsec1_1-1.2.24-1.mga6.i586
- libzmf0.0_0-0.0.2-1.mga6.i586

18MB of additional disk space will be used.

114MB of packages will be retrieved.

Packages installed cleanly. After, I loaded several odt, ods, and some old doc files, including at least four at once. All displayed correctly. (This install has had the additional fonts installed.) I made small edits in one document, and when I went to leave was asked if I wanted to save them. (I didn't.)

Looks OK here on this system, unless it was supposed to appear to recommend the libreoffice-x11 package.
Comment 46 James Kerr 2019-02-28 18:01:57 CET
On a system with only plasma it might be reasonable for libreoffice-kf5 to be installed without offering a choice.
Comment 47 Thomas Andrews 2019-02-28 19:02:08 CET
Reasonable on any system that includes the Plasma DE, I'd say, whether it's the only DE present or not. It's only unreasonable when Plasma is not present, as it pulls in all those unwanted Plasma-related packages.

At the same time, assuming it performs the same function as the older libreoffice-kde4, inclusion is actually optional. LibreOffice will function just fine without it.
Comment 48 Thomas Andrews 2019-02-28 19:54:42 CET
I revisited the system from Comment 8. This one had the older update packages installed, before the new meta-task. I believe I had accepted the then "recommended" libreoffice-kde4 package, but I don't remember for sure now.

Using qarepo, meta-task was installed first, then this:

The following 21 packages are going to be installed:

- autocorr-en-6.1.5.2-1.2.mga6.noarch
- libreoffice-base-6.1.5.2-1.2.mga6.x86_64
- libreoffice-calc-6.1.5.2-1.2.mga6.x86_64
- libreoffice-core-6.1.5.2-1.2.mga6.x86_64
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.x86_64
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.x86_64
- libreoffice-gtk3-6.1.5.2-1.2.mga6.x86_64
- libreoffice-help-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-impress-6.1.5.2-1.2.mga6.x86_64
- libreoffice-kf5-6.1.5.2-1.2.mga6.x86_64
- libreoffice-langpack-en-6.1.5.2-1.2.mga6.x86_64
- libreoffice-math-6.1.5.2-1.2.mga6.x86_64
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.x86_64
- libreoffice-pyuno-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-6.1.5.2-1.2.mga6.x86_64
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-writer-6.1.5.2-1.2.mga6.x86_64
- libreoffice-x11-6.1.5.2-1.2.mga6.x86_64
- libreoffice-xsltfilter-6.1.5.2-1.2.mga6.x86_64

I was not asked to choose between any packages, apparently because earlier versions were already installed.

All packages installed cleanly. If the libreoffice-kde4 package had been installed previously, it is gone now. Everything still functions normally.

OK on this system.
Comment 49 Thomas Backlund 2019-02-28 21:32:15 CET
so the removal of libreoffice-kde4 makes the update not screw up plasma installs, thats good.

But meta-task hinting is not followed, so it screws non-plasma installs.

and I think dnf need the same hinting as meta-task does for urpmi so it behaves the same way...

I will take a look on the issues tomorrow...
Comment 50 William Kenney 2019-03-12 22:31:20 CET
In VirtualBox, M6.1, Plasma, 32-bit

Install from updates_testing.

Package(s) under test:
libreoffice base, calc, core, data, draw, graphicfilter, gtk3, impress, math
using: urpmi --auto-update --auto

[root@localhost wilcal]# uname -a
Linux localhost 4.14.104-desktop-2.mga6 #1 SMP Wed Feb 27 18:52:18 UTC 2019 i686 i686 i686 GNU/Linux
[root@localhost wilcal]# urpmi libreoffice-base
Package libreoffice-base-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-calc
Package libreoffice-calc-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-core
Package libreoffice-core-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-data
Package libreoffice-data-6.1.5.2-1.2.mga6.noarch is already installed
[root@localhost wilcal]# urpmi libreoffice-draw
Package libreoffice-draw-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-graphicfilter
Package libreoffice-graphicfilter-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-gtk3
Package libreoffice-gtk3-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-gtk3
Package libreoffice-gtk3-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-impress
Package libreoffice-impress-6.1.5.2-1.2.mga6.i586 is already installed
[root@localhost wilcal]# urpmi libreoffice-math
Package libreoffice-math-6.1.5.2-1.2.mga6.i586 is already installed

All packages install cleanly. All applications work fine for my requirements.

CC: (none) => wilcal.int

Comment 51 William Kenney 2019-03-12 22:31:40 CET
In VirtualBox, M6.1, Plasma, 64-bit

Install from updates_testing.

Package(s) under test:
libreoffice base, calc, core, data, draw, graphicfilter, gtk3, impress, math
using: urpmi --auto-update --auto

[root@localhost wilcal]# uname -a
Linux localhost 4.14.104-desktop-2.mga6 #1 SMP Wed Feb 27 17:08:11 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost wilcal]# urpmi libreoffice-base
Package libreoffice-base-6.1.5.2-1.2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi libreoffice-cacl
No package named libreoffice-cacl
[root@localhost wilcal]# urpmi libreoffice-calc
Package libreoffice-calc-6.1.5.2-1.2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi libreoffice-core
Package libreoffice-core-6.1.5.2-1.2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi libreoffice-data
Package libreoffice-data-6.1.5.2-1.2.mga6.noarch is already installed
[root@localhost wilcal]# urpmi libreoffice-draw
Package libreoffice-draw-6.1.5.2-1.2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi libreoffice-graphicfilter
Package libreoffice-graphicfilter-6.1.5.2-1.2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi libreoffice-gtk3
Package libreoffice-gtk3-6.1.5.2-1.2.mga6.x86_64 is already installed
[root@localhost wilcal]# urpmi libreoffice-impress
Package libreoffice-impress-6.1.5.2-1.2.mga6.x86_64 is already installed                                                                                     
[root@localhost wilcal]# urpmi libreoffice-math
Package libreoffice-math-6.1.5.2-1.2.mga6.x86_64 is already installed

All packages install cleanly. All applications work fine for my requirements.
Comment 52 Morgan Leijström 2019-03-13 00:38:03 CET
Mini feedback: Have been using writer and calc many hours during more than a week, no problems noted.  64 bit, plasma, nvidia.

CC: (none) => fri

Comment 53 Jose Manuel López Díaz 2019-03-13 08:25:21 CET
I have been using libreoffice 6.1.5 installed from the testing repositories for a while, at the moment I have not had problems, in Mageia 6.1 x64, Intel I3.

Works fine.

Greetings!

CC: (none) => joselp

Comment 54 Thomas Andrews 2019-03-13 15:07:13 CET
I don't think anybody is having trouble with this libreoffice once installed. 

The only remaining issue preventing validation is that explained by tmb in Comment 49. My tests on a not-yet-updated 64-bit Xfce system using qarepo and the madb rpm list confirm that issue is still in effect.
Comment 55 Herman Viaene 2019-03-19 11:53:29 CET
MGA6-32 MATE on IBM Thinkpad R50e
Is there a final list of rpm's to be installed and tested?
I decided to play it easy and let the Core-Updates-Testing decide (so no QArepo).
I started with "libreoff" as search item, select the base package, accept the dependencies and added manually the remaining items of this version. Finaly I added autocorr. All that resulted in:

De volgende 39 pakketten zullen worden geïnstalleerd:

- autocorr-nl-6.1.5.2-1.2.mga6.noarch
- bsf-2.4.0-26.mga6.noarch
- bsh-1.3.0-37.mga6.noarch
- libgladeui1_11-3.8.5-5.mga6.i586
- libreoffice-6.1.5.2-1.2.mga6.i586
- libreoffice-base-6.1.5.2-1.2.mga6.i586
- libreoffice-bsh-6.1.5.2-1.2.mga6.i586
- libreoffice-calc-6.1.5.2-1.2.mga6.i586
- libreoffice-core-6.1.5.2-1.2.mga6.i586
- libreoffice-data-6.1.5.2-1.2.mga6.noarch
- libreoffice-draw-6.1.5.2-1.2.mga6.i586
- libreoffice-emailmerge-6.1.5.2-1.2.mga6.i586
- libreoffice-filters-6.1.5.2-1.2.mga6.i586
- libreoffice-glade-6.1.5.2-1.2.mga6.i586
- libreoffice-graphicfilter-6.1.5.2-1.2.mga6.i586
- libreoffice-gtk3-6.1.5.2-1.2.mga6.i586
- libreoffice-help-nl-6.1.5.2-1.2.mga6.i586
- libreoffice-impress-6.1.5.2-1.2.mga6.i586
- libreoffice-kf5-6.1.5.2-1.2.mga6.i586
- libreoffice-langpack-nl-6.1.5.2-1.2.mga6.i586
- libreoffice-librelogo-6.1.5.2-1.2.mga6.i586
- libreoffice-math-6.1.5.2-1.2.mga6.i586
- libreoffice-nlpsolver-6.1.5.2-1.2.mga6.i586
- libreoffice-officebean-6.1.5.2-1.2.mga6.i586
- libreoffice-officebean-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-ogltrans-6.1.5.2-1.2.mga6.i586
- libreoffice-opensymbol-fonts-6.1.5.2-1.2.mga6.noarch
- libreoffice-pdfimport-6.1.5.2-1.2.mga6.i586
- libreoffice-postgresql-6.1.5.2-1.2.mga6.i586
- libreoffice-pyuno-6.1.5.2-1.2.mga6.i586
- libreoffice-rhino-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-6.1.5.2-1.2.mga6.i586
- libreoffice-ure-common-6.1.5.2-1.2.mga6.noarch
- libreoffice-wiki-publisher-6.1.5.2-1.2.mga6.i586
- libreoffice-writer-6.1.5.2-1.2.mga6.i586
- libreoffice-x11-6.1.5.2-1.2.mga6.i586
- libreoffice-xsltfilter-6.1.5.2-1.2.mga6.i586
- libreofficekit-6.1.5.2-1.2.mga6.i586
- meta-task-6-3.3.mga6.noarch

A quick test of doc, odt, xls, ods and odp files doesnot show any problems

CC: (none) => herman.viaene

Comment 56 Doug Laidlaw 2019-03-24 07:01:37 CET
Today, dating from yesterday or before, an upgrade of libreoffice required me to uninstall uno, then just about the whole suite.  Trying the packages from testing.

CC: (none) => laidlaws

Comment 57 Doug Laidlaw 2019-03-24 07:07:29 CET
There are no packages in testing.  Should I file a new bug?

(OT: libreoffice seems to be an ongoing problem.  Updating language files is a mess too often, although not this time.)
Comment 58 Thomas Andrews 2019-03-24 14:31:23 CET
(In reply to Doug Laidlaw from comment #57)
> There are no packages in testing.  Should I file a new bug?
> 
> (OT: libreoffice seems to be an ongoing problem.  Updating language files is
> a mess too often, although not this time.)

The update from "yesterday or before" was in Cauldron. This is a MGA 6 bug and list.
Comment 59 Thomas Andrews 2019-03-24 15:36:53 CET
I just checked, and the packages on the rpm list for this bug are still there in the MGA6 updates_testing repositories of the math.princeton mirror. There has been no change that I can see at this time.
Comment 60 Doug Laidlaw 2019-03-24 16:22:16 CET
My problem is with Mageia 7 (Cauldron.)  I will file a new bug report.
Comment 61 José Jorge 2019-03-30 08:00:28 CET
Mirrors are now up2date. Installed libreoffice-6.1.5.2-1.2.mga6 it pulled also the french and portuguese locales I use.

Opened a document, no bug to report.

Whiteboard: (none) => MGA6-32-OK
CC: (none) => lists.jjorge

Comment 62 José Jorge 2019-03-30 08:00:49 CET
(In reply to José Jorge from comment #61)
> Mirrors are now up2date. Installed libreoffice-6.1.5.2-1.2.mga6 it pulled
> also the french and portuguese locales I use.
> 
> Opened a document, no bug to report.

Forgot to say it is i586 test.
Comment 63 Doug Laidlaw 2019-03-30 09:12:55 CET
Yes, I can confirm that updated mirrors fixed the problem.  No need to file a Cauldron bug.

You are lucky that it only pulled in two locales. I get the whole lot.  But that is a separate bug.
Doug Laidlaw 2019-03-30 09:13:39 CET

CC: laidlaws => (none)

Comment 64 Thomas Andrews 2019-03-30 19:13:24 CET
(In reply to Doug Laidlaw from comment #63)

> 
> You are lucky that it only pulled in two locales. I get the whole lot.  But
> that is a separate bug.

When you installed, did you use one of the Live isos? And if you did, when you got to the stage where you are asked about deleting unused hardware and/or localization support, did you elect to NOT delete the unused support?

If so, you would have installed all languages of Libreoffice. That means when an update comes along, you will pull in "the whole lot."
Comment 65 Dave Hodgins 2019-04-10 23:29:11 CEST
(In reply to Thomas Backlund from comment #49)
> so the removal of libreoffice-kde4 makes the update not screw up plasma
> installs, thats good.
> 
> But meta-task hinting is not followed, so it screws non-plasma installs.
> 
> and I think dnf need the same hinting as meta-task does for urpmi so it
> behaves the same way...
> 
> I will take a look on the issues tomorrow...

Has this been sorted out?
Comment 66 Dave Hodgins 2019-05-19 08:26:20 CEST
Thomas, did you ever follow up on comment 49 ?
Comment 67 Martin Whitaker 2019-05-26 11:05:12 CEST
(In reply to Thomas Backlund from comment #49)
> But meta-task hinting is not followed, so it screws non-plasma installs.
> 
> and I think dnf need the same hinting as meta-task does for urpmi so it
> behaves the same way...

This also hits upgrades from mga6 to mga7.

CC: (none) => mageia

Comment 68 Martin Whitaker 2019-05-26 16:15:36 CEST
If I install meta-task-6.3.3.mga6 from updates_testing before updating with 'urpmi --auto-select', then libreoffice-x11 is correctly set as the first choice. But drakrpm and drakrpm-update don't pay attention to prefer.vendor.list.
Comment 69 Thomas Andrews 2019-05-26 16:40:31 CEST
From the perspective of the relatively uninformed, that sounds like a bug in drakrpm, or something associated with it. 

Could such a bug also be present in Mageia 7? And if so, what needs to be done about it? Before or after release?
Comment 70 Martin Whitaker 2019-05-26 17:16:35 CEST
From a user's point of view, it's a bug. And yes, it's in Mageia 7 - prefer.vendor.list is a feature that was added to urpmi (in 2007) that was never added to rpmdrake. Fixing that would (I think) unblock this update.

It may be less of a problem for upgrades. The reason I hit it when doing an upgrade via urpmi was because currently libreoffice is being included in the priority upgrades (as noted in bug 24731), so the choice is made before the meta-task package is upgraded (and the required change to the mga6 meta-task package is still in updates_testing). Upgrades done via the upgrade applet should also use urpmi. I don't know about upgrades done via the CI ISO - I'll have to test that.
Comment 71 Martin Whitaker 2019-05-26 17:19:06 CEST
s/bug 24731/bug 24767/
Martin Whitaker 2019-05-27 09:35:18 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=24871

Comment 72 Thierry Vignaud 2019-05-28 13:13:37 CEST
Err rpmdrake is aware of prefer.vendor.list ($urpm->{prefer_vendor_list}).
This is set when initializing urpm
But maybe rpmdrake is still calling some lower level urpm code directly w/o using that info
Comment 73 Thierry Vignaud 2019-05-28 13:20:41 CEST
A culprit could be Rpmdrake::gui::callback_choices()
Comment 74 Thierry Vignaud 2019-05-28 13:21:13 CEST
It should probably use urpm::select::get_preferred()
Comment 75 Thierry Vignaud 2019-05-29 11:59:20 CEST
Created attachment 11034 [details]
rely on /etc/urpmi/prefer.vendor.list

totally untested…
Comment 76 Thierry Vignaud 2019-05-29 11:59:42 CEST
Please test above patch.

Keywords: (none) => NEEDINFO, PATCH

Comment 77 Thomas Andrews 2019-06-11 20:57:04 CEST
According to https://wiki.documentfoundation.org/ReleasePlan/6.1#End_of_Life the Libreoffice 6.1 series was scheduled to reach EOL close to two weeks ago.

Wouldn't this mean that we should update Mageia 6 to the currently-supported 6.2 series, once we get the rpmdrake problem sorted out? Preferably the same version that's in Cauldron...

Or would it need to go in steps: Move to the last 6.1 (6.1.6) first, then on to 6.2?
Comment 78 Thierry Vignaud 2019-06-13 08:13:13 CEST
The 2 steps is safer.
At least, mga5 users would got some sec fixes.
Anyone for testing the patch above?
Comment 79 Brian Rockwell 2019-06-13 14:17:27 CEST
Sure.

Do you want me to let the KF5 items to install on my gnome instance or exclude them?

Anybody out there with a MGA6 Plasma system they could test it with defaults?
Comment 80 James Kerr 2019-06-14 12:34:06 CEST
I have applied the patch, but see no change. 

I am still asked to make the same choice.

It is possible that I have not applied the patch correctly 
(I don't have a lot of experience using patch) but I have 
examined /usr/lib/perl5/vendor_perl/5.22.3/Rpmdrake/gui.pm 
and the two new lines are now present.

I notice that "prefered" is used in one place but "preferred" is
used in another. I don't know if that makes a difference.
Comment 81 Thierry Vignaud 2019-06-14 15:23:23 CEST
The goal isn't to remove any choice.
The goal is to have the right/better pkg in first place
Comment 82 James Kerr 2019-06-14 18:59:34 CEST
The kf5 package is still listed first. This system has only gnome installed. No other DE.
Comment 83 Martin Whitaker 2019-06-14 19:40:43 CEST
Created attachment 11093 [details]
Fixed patch to make rpmdrake use /etc/urpmi/prefer.vendor.list

Try this. Works for me.

Attachment 11034 is obsolete: 0 => 1

Comment 84 James Kerr 2019-06-15 10:58:11 CEST
(In reply to Martin Whitaker from comment #83)
> Created attachment 11093 [details]
> Fixed patch to make rpmdrake use /etc/urpmi/prefer.vendor.list
> 

With this patch, the x11 package is now listed first
Comment 85 aguador 2019-06-15 15:14:52 CEST
My E21 installation has meta-task already installed, so I tried simply activating updates-testing and using drakrpm. If I select one of the basic LO packages other than X11, it defaults to kde and wants to install those dependencies. Choosing the generic X11 package first results in an appropriate list of updates, minus autocorr.

Switching over to the terminal, "urpmi libreoffice" presents X11 as the first choice, with 33 update packages listed after selection. Autocorr packages added separately later.

BTW in response to Comment 77, the LO website still shows 6.1.6 as the current stable version.

CC: (none) => waterbearer54

Comment 86 Thierry Vignaud 2019-06-17 21:24:06 CEST
Fix commited in git
Comment 87 Thomas Backlund 2019-06-18 08:55:38 CEST
(In reply to Thierry Vignaud from comment #86)
> Fix commited in git

Nice, can we push that out as an update as it also affects mga6 -> mga7 upgrades
Comment 88 Thomas Andrews 2019-06-19 14:17:33 CEST
I have no clue about how to apply a patch, and I'm sure a number of our users are the same.

Looking for a bit of clarity here. I'm assuming from the discussion that the patch is applied to drakrpm. Doesn't that mean that we have to create a separate update for drakrpm and associated packages, and test it, BEFORE we can validate and push this update?

Perhaps I'm being too impatient, but so far I'm not seeing such an update in http://madb.mageia.org/tools/updates.
Comment 89 Thomas Backlund 2019-06-19 14:46:09 CEST
(In reply to Thomas Andrews from comment #88)

> Looking for a bit of clarity here. I'm assuming from the discussion that the
> patch is applied to drakrpm. Doesn't that mean that we have to create a
> separate update for drakrpm and associated packages, and test it, BEFORE we
> can validate and push this update?
> 


Yep, will roll out an update tonight unless tv beats me to it
Thomas Backlund 2019-06-21 15:58:00 CEST

Depends on: (none) => 24988, 24989

Comment 90 Thomas Backlund 2019-06-21 15:59:57 CEST
rpmdrake fix for honoring prefer.vendor.list:
https://bugs.mageia.org/show_bug.cgi?id=24988

dnf fix for selecting DE-agnostic libreoffice-x11 plugin:
https://bugs.mageia.org/show_bug.cgi?id=24989
Comment 91 James Kerr 2019-06-22 07:48:13 CEST
Updating with rpmdrake-6.27.1-1 results in the x11 package being listed first 

(plasma users wanting the plasma style file dialogues need to select the kf5 package when updating or install it later.)

OK for mga6-64

To be confirmed by someone using dnf

Note You need to log in before you can comment on or make changes to this bug.